import { ScrollArea as e } from "../../components/ui/scroll-area.js";
import t from "./RunItem.js";
import { jsx as n } from "react/jsx-runtime";
//#region src/features/dashboard/RunList.tsx
function r({ type: r, runs: i, router: a, emptyMessage: o }) {
	return i.length === 0 ? /* @__PURE__ */ n("p", {
		className: "text-muted-foreground",
		children: o
	}) : /* @__PURE__ */ n(e, {
		className: "h-75 w-full",
		children: /* @__PURE__ */ n("div", {
			className: "space-y-2 pr-2",
			children: i.map((e) => /* @__PURE__ */ n(t, {
				run: e,
				router: a
			}, `${r}-${e.id}`))
		})
	});
}
//#endregion
export { r as default };
